﻿* {
    color: black
}

.form-group.aligned {
    display: flex;
    align-items: center;
    gap: 10px;
}

    .form-group.aligned label {
        margin: 0;
    }

.login {
    display: grid;
    grid-template-columns: 460px auto;
    height: 100dvh;
    width: 100vw;
}

.login-banner-container {
    height: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .login-banner-container .login-banner {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.login-container {
    height: 100%;
    padding: 100px 55px 0 55px;
    order: -1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 26px;
}

.login-logo {
    height: 100px;
    width: auto;
    object-fit: contain;
}

.login-logo-container {
    display: flex;
    justify-content: center;
}

    .login-logo-container > login-logo {
        margin: 0;
        padding: 0;
        height: 100%;
        width: 100%;
        object-fit: cover;
    }

.login-title {
    font-weight: bold;
    font-size: 32px;
    letter-spacing: 1.5px;
}

.btn-login {
    height: 55px;
    width: 353px;
    font-weight: bold;
    font-size: 16px;
    color: white;
    border-radius: 28px;
    background-color: var(--primary-color);
    transition: background-color 0.3s ease;
    outline: none;
}

    .btn-login:active {
        background-color: var(--border-color);
    }

@media (max-width: 912px) {
    .login {
        grid-template-columns: 1fr;
    }

    .login-container {
        width: 100%;
        min-width: unset;
    }

    .login-banner-container {
        display: none;
    }
}

@media (max-width: 425px) {

    .login-container {
        width: 100%;
        min-width: unset;
        padding: 72px 31px 0;
        gap: 10px;
    }

        .login-container button.btn.btn-primary.btn-login {
            width: 100%;
            height: 45px;
            font-size: 18px !important;
        }

        .login-container .form-group label {
            font-size: 14px;
        }

        .login-container .login-title {
            font-size: 24px;
            margin: 0;
        }

        .login-container .login-logo {
            height: 65px;
            object-fit: contain;
            margin-bottom: 43px;
        }

        .login-container .login-form-container form .form-group {
            margin-bottom: 20px;
        }
}
